Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: qtgrpc-everywhere-src
Source: https://download.qt.io/archive/qt/*/submodules/

Files: *
Copyright: 2022-2023 The Qt Company Ltd.
           2019 Alexey Edelev <semlanik@gmail.com>
           2019 Viktor Kopp <vifactor@gmail.com>
License: LGPL-3 or GPL-2

Files: src/grpc/*
Copyright: 2022-2023 The Qt Company Ltd.
           2019 Alexey Edelev <semlanik@gmail.com>
           2019 Viktor Kopp <vifactor@gmail.com>
           2019 Giulio Girardi <giulio.girardi@protechgroup.it>
License: GPL-3

Files: src/protobufqttypes/*
Copyright: 2022-2023 The Qt Company Ltd.
           2019 Alexey Edelev <semlanik@gmail.com>
License: GPL-3 with Qt-1.0 exception

Files: src/protobufqttypes/protobufqtguitypes/QtGui/QtGui.proto
Copyright: 2023 The Qt Company Ltd.
License: LGPL-3 or GPL-2

Files: src/tools/*
Copyright: 2019-2020 Alexey Edelev <semlanik@gmail.com>
           2019-2020 Tatyana Borisova <tanusshhka@mail.ru>
           2022-2023 The Qt Company Ltd.
License: GPL-3 with Qt-1.0 exception

Files: examples/*
Copyright: 2023 The Qt Company Ltd.
License: BSD-3-Clause

Files: examples/grpc/magic8ball/*
Copyright: 2023 The Qt Company Ltd.
License: GPL-3

Files: examples/grpc/magic8ball/*.qml
Copyright: 2023 The Qt Company Ltd.
License: BSD-3-Clause

Files: examples/grpc/chat/*
Copyright: 2019 Alexey Edelev <semlanik@gmail.com>
           2023 The Qt Company Ltd.
License: GPL-3

Files: examples/grpc/chat/*.qml
Copyright: 2019 Alexey Edelev <semlanik@gmail.com>
           2023 The Qt Company Ltd.
License: LGPL-3 or GPL-2

Files: examples/*.proto
Copyright: 2023 The Qt Company Ltd.
License: BSD-3-Clause

Files: tests/*
Copyright: 2019-2022 Alexey Edelev <semlanik@gmail.com>
           2022-2023 The Qt Company Ltd.
License: GPL-3 with Qt-1.0 exception

Files: tests/auto/grpc/*
       tests/auto/protobufqml/*.qml
       tests/*.proto
Copyright: 2022-2023 The Qt Company Ltd.
           2019 Alexey Edelev <semlanik@gmail.com>
License: GPL-3

Files: tests/auto/protobufqml/basic/qml/tst_basic.qml
       tests/auto/protobufqml/enums/qml/tst_enumtypes.qml
Copyright: 2023 The Qt Company Ltd.
License: GPL-3 with Qt-1.0 exception

Files: */CMakeLists.txt
       *.cmake
Copyright: 2022, 2023 The Qt Company Ltd.
License: BSD-3-Clause

Files: *.qdoc
Copyright: 2023 The Qt Company Ltd.
License: GFDL-NIV-1.3

Files: debian/*
Copyright: 2023 Tianyu Chen <sweetyfish@deepin.org>
           2023-2025 Patrick Franz <deltaone@debian.org>
License: LGPL-3 or GPL-2

License: BSD-3-Clause
 You may use this file under the terms of the BSD license as follows:
 .
 "Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
   * Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in
     the documentation and/or other materials provided with the
     distribution.
   * Neither the name of The Qt Company Ltd nor the names of its
     contributors may be used to endorse or promote products derived
     from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."

License: GFDL-NIV-1.3
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3
 or any later version published by the Free Software Foundation;
 with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
 .
 On Debian systems, the complete text of the GNU Free Documentation
 License version 1.3 can be found in /usr/share/common-licenses/GFDL-1.3.

License: GPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public License
 version 3 can be found in /usr/share/common-licenses/GPL-3.

License: GPL-3 with Qt-1.0 exception
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public License
 version 3 can be found in /usr/share/common-licenses/GPL-3.
 .
 The Qt Company GPL Exception 1.0
 Exception 1:
 .
 As a special exception you may create a larger work which contains the
 output of this application and distribute that work under terms of your
 choice, so long as the work is not otherwise derived from or based on
 this application and so long as the work does not in itself generate
 output that contains the output from this application in its original
 or modified form.
 .
 Exception 2:
 .
 As a special exception, you have permission to combine this application
 with Plugins licensed under the terms of your choice, to produce an
 executable, and to copy and distribute the resulting executable under
 the terms of your choice. However, the executable must be accompanied
 by a prominent notice offering all users of the executable the entire
 source code to this application, excluding the source code of the
 independent modules, but including any changes you have made to this
 application, under the terms of this license.

License: LGPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License version 3
 as published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 .
 On Debian systems, the complete text of the GNU Lesser General Public
 License version 3 can be found in /usr/share/common-licenses/LGPL-3.

License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 2 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License version 2 can be found in /usr/share/common-licenses/GPL-2.
